#include "systemc.h"
#include "moda.h"   
#include "modb.h"

SC_MODULE(modx){
   sc_outmaster<int> p4;
   sc_link_mp<int> ch1;
   
   sc_in_clk clk;
   
   moda A1;    //module instantiation
   modb B1;    //module instantiation

   SC_CTOR(modx) : A1("moda"), B1("modb") {
      A1.p1(ch1);
      A1.clk1(this->clk); //special binding  
      B1.p2(ch1);
      B1.p3(p4);  
   }
   
};
